Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Interface Link

All Known Implementing Classes:
  Link_Standard, QueueLink, ReferenceLink

    public interface Link

Abstract link generator class. This class is responsible for generating the link endpoint class for a specific channel. There will be separate instances of this class for each channel in the RDL design, even if they are of the same link type.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Method Summary
`Type_Reference` | `generate(UnitPort unitPort, Namespace _namespace, Class messageClass, ChannelModel channelModel, Message message, Library library)` Generate the link endpoint class for the given unit port.
`Expression` | `getNew()` Simple accessor

Method Detail

### generate

    Type_Reference generate(UnitPort unitPort,
                            Namespace _namespace,
                            Class messageClass,
                            ChannelModel channelModel,
                            Message message,
                            Library library)

  Generate the link endpoint class for the given unit port.

  Parameters:
    `unitPort` - The unit port this endpoint will represent.
    `_namespace` - The namespace to create the class in.
    `messageClass` - The class which implements the message this channel will be carrying.
    `channelModel` - The model to use for this channel, will be ignored for timing inaccurate emulation.
    `message` - The RDL message type carried by this channel.
    `library` - Library from which to load helper classes and interfaces.
  Returns:
    The type of the class which implements the link endpoint for the given unit port.

### getNew

    Expression getNew()

  Simple accessor

  Returns:
    An expression which creates a new copy of this link.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD